//<script src="res/auth/okta-signin-widget-5.0.1/js/okta-sign-in.min.js" type="text/javascript"></script>

var app = {};
app.isSPA = false;
app.name = 'Login'; //The application name, will be updated upon application rename
app.serviceManagerHost = '';		// to execute API calls on other server
app.serviceCallTimeout = 60000;		// milliseconds to wait for service calls to finish
app.serviceSuppressedParams = [];		// fields that won't be sent to service calls
app.addLogoutToMenu = true;		// Adds logout as the last option to the menu (you must set login page for the application)
app.loginPage = 'OktaLogin.html';

Utils.initOkta('OktaLogin.html', 'id_token');

function oktaSignOut() {
    var oktaSignIn = new OktaSignIn({
        baseUrl: BASE_URL,
        clientId: Storage.get("OKTA_CLIENT"),
        redirectUri: Storage.get("OKTA_REDIRECT_URL"),
        authParams: {
            pkce: false,
            issuer: ISSUER,
            responseType: ["token", "id_token"],
            display: "page"
        }
    });
    oktaSignIn.authClient.tokenManager.clear();     // to avoid revoking id_token on server
    oktaSignIn.authClient.signOut({
        postLogoutRedirectUri: '/ServiceManager/apps/DishMain/OktaLogin.html',
        revokeAccessToken: false
    });
}

var partialPlayback = {
	keepAlive: [
	]
};

App.init();


